#----------------------------------------------------------
#Function for the event procedure
#----------------------------------------------------------
def btnep(object)
  $val = $newdial_001.popup();
  if $val == Mpfc::WS_DIALOG_OK
     $newvlab_007.setProperty("labelString","DIALOG OK!");
  elsif $val == Mpfc::WS_DIALOG_NO
     $newvlab_007.setProperty("labelString","DIALOG NO!");
  elsif $val == Mpfc::WS_DIALOG_CANCEL
     $newvlab_007.setProperty("labelString","DIALOG CANCEL!");
  end

  $tmp = $newvifi_003.getProperty("labelString");
  $tmp2 = "INPUT:" + $tmp.getCharPtr();
  $newvlab_010.setProperty("labelString",$tmp2);

  $val = $newradi_006.getProperty("value");
  $tmp2 = "SELECT: " + $val.getCharPtr();
  $newvlab_011.setProperty("labelString",$tmp2);

end
